---
# [샘플] AWS CLI 명령

property:
  workspace: /path/to/project

pipeline:
  id: main
  workflow:
  - exe: aws-s3-list
  - exe: aws-s3-sync

commands:
# S3 버킷 listings
- command: AwsCli
  id: aws-s3-list
  param:
    sub-command: s3 ls
    args:
    - "s3://my-bucket/"

# S3 디렉토리 동기화
- command: AwsCli
  id: aws-s3-sync
  param:
    sub-command: s3 sync
    args:
    - "./dist/"
    - "s3://my-bucket/release"
